Free & Open-Source React Data Grid (Grid Lite)

    The Ignite UI for React Grid Lite is a lightweight, high-performance React data grid that’s free to use, open-source, and built for modern React applications.

    This free React data grid is open-source JavaScript data grid built as a Web Component, which means you can use it dependency-free with or without a web framework. It delivers essential data-display functionality with minimal overhead and the performance users expect. The React Grid Lite is designed for developers who need fast and lightweight data presentation.

    What You Get with our Free React Data Grid

    Our free, open-source React Grid Lite comes with the following column-based features: sorting, filtering, hiding, resizing and a variety of pre-defined data types. Blazing-fast performance is delivered with the use of row virtualization. In addition, the component supports keyboard navigation and theming through the Ignite UI Theming Framework.

    Installation and Setup

    Installation

    To install Grid Lite, go to the root folder of your project (where package.json is located) and run the following command using npm:

    npm install igniteui-react
    npm install igniteui-grid-lite
    

    Or using yarn:

    yarn add igniteui-react
    yarn add igniteui-grid-lite
    

    Using the Grid Lite in your React code

    In the file where you want to use Grid Lite, first we need to import it:

    import { IgrGridLite } from 'igniteui-react/grid-lite';
    

    Add the <GridLite> component to your markup:

    return (
      <div className="container sample ig-typography">
        <div className="grid-lite-wrapper">
          <IgrGridLite ref={this.gridRef} id="grid-lite"></IgrGridLite>
        </div>
      </div>
    );
    

    Grid Lite in Action

    Grid Lite is designed to give you the core features that you need to deliver a beautiful data grid / data table experience in your apps. Designed for performance and beauty, the Grid Lite will work in any framework, on any platform.

    Performance Built In

    Row-level virtualization allows you to render unlimited amounts of data with smooth scrolling.

    Automatic Column Types

    Column types are automatically generated based on your data source, with built-in filtering tailored to each column type.

    Interactive Features

    All the core interactive features your users expect: column filtering, column hiding, column resizing, column sorting, and more.

    Beautiful UX & Branding

    Built-in theme support for Bootstrap, Material & Fluent, plus endless branding options in color palettes, fonts, elevation, display density & more.

    Rich Keyboard Navigation

    Full Excel-style keyboard navigation gives users the experience they expect, with high performance even on large datasets.

    Is Grid Lite a Free & Open-Source React Data Grid?

    Yes. Ignite UI Grid Lite is a free, open-source React data grid released under the MIT license. You can use it in commercial or personal projects with no licensing fees. It is part of our initiative to make Ignite UI more open, transparent, and accessible.

    • MIT-licensed

    • Free for commercial use

    • Community-driven development

    • No feature gating

    However, if your project scales and grows in complexity and functionality, and you require an enterprise-grade application, we have a seamless upgrade strategy. It will make the transitioning from the free React data grid (Grid Lite) to the full-featured and advanced Data Grid simpler and faster.

Free & Open-Source Angular Data Grid (Grid Lite)

    The Ignite UI for Angular Grid Lite is a lightweight, high-performance Angular data grid that’s free to use, open-source, and built for modern Angular applications.

    This free Angular data grid is open-source JavaScript data grid built as a Web Component, which means you can use it dependency-free with or without a web framework. It delivers essential data-display functionality with minimal overhead and the performance users expect. The Angular Grid Lite is designed for developers who need fast and lightweight data presentation.

    What You Get with our Free Angular Data Grid

    Our free, open-source Angular Grid Lite comes with the following column-based features: sorting, filtering, hiding, resizing and a variety of pre-defined data types. Blazing-fast performance is delivered with the use of row virtualization. In addition, the component supports keyboard navigation and theming through the Ignite UI Theming Framework.

    Angular supports custom elements, so you can use Grid Lite with ease.

    Grid Lite in Action

    Installation and Setup

    To use Grid Lite in your application you can import it directly from igniteui-angular through this entry point igniteui-angular/grids/lite. But you also need to install the igniteui-grid-lite package that powers the UI. IgxGridLiteComponent provides Angular bindings (events, templates, DI, change detection, pipes), while the visual grid lite UI is rendered by igniteui-grid-lite. Installing both ensures the grid lite behaves natively in Angular while leveraging the full igniteui-grid-lite UI.

    npm install igniteui-grid-lite
    

    Before starting the application, make sure to import and pass the custom element schema as shown below.

    // app.component.ts
    
    import { Component } from '@angular/core';
    import { IgxGridLiteComponent, IgxGridLiteColumnComponent } from 'igniteui-angular/grids/lite';
    
    @Component({
      ...
      imports: [IgxGridLiteComponent, IgxGridLiteColumnComponent],
      template: `
        <div>
          <igx-grid-lite [data]="products">
            <igx-grid-lite-column field="id" header="ID" dataType="number"></igx-grid-lite-column>
            <igx-grid-lite-column field="name" header="Name"></igx-grid-lite-column>
            <!-- Additional columns -->
          </igx-grid-lite>
        </div>
      `
    })
    export class AppComponent {
      products: Products[] = [...];
    }
    

    Features

    Performance Built In

    When you use our Angular data grid for free, you are enabled to implement row-level virtualization. This allows you to render unlimited amounts of data with smooth scrolling.

    Automatic Column Types

    Column types are automatically generated base on your data source with built-in filtering based on column type.

    Custom Column Templates

    With our Angular data grid open-source control you can also deliver any type of UX with column templates. Anything you imagine can render in a grid column!

    Interactive Features

    All the core interactive features your users expect, like column filtering, column hiding, column resizing, columns sorting, and more!

    Beautiful UX & Branding

    This free Angular data grid (Grid Lite) comes with built-in theme support for Bootstrap, Material & Fluent, plus endless branding options in color palettes, fonts, elevation, display density & more.

    Rich Keyboard Navigation

    Full Excel-style keyboard navigation gives user the experience they expect with high-performance keyboard navigation.

    Is Grid Lite a Free & Open-Source Angular Data Grid?

    Yes. Ignite UI Grid Lite is a free, open-source Angular data grid released under the MIT license. You can use it in commercial or personal projects with no licensing fees. It is part of our initiative to make Ignite UI more open, transparent, and accessible.

    • MIT-licensed

    • Free for commercial use

    • Community-driven development

    • No feature gating

    However, if your project scales and grows in complexity and functionality, and you require an enterprise-grade application, we have a seamless upgrade strategy. It will make the transitioning from the free Angular data grid (Grid Lite) to the full-featured and advanced Data Grid simpler and faster.

    Angular supports custom elements, so you can use Grid Lite with ease.